@use '../../../global/styles/link';
@use '../../../global/styles/breakpoint';
@use '../../../global/styles/border';

.digi-navigation-main-menu {
	@include breakpoint.below-large {
		--digi-navigation-main-menu--non-active-list-item-display: grid;

		&--active-true {
			--digi-navigation-main-menu--non-active-list-item-display: none;
		}

		width: 100%;
		position: relative;
		// margin-inline-start: calc(-1 * var(--digi--responsive-grid-gutter--outer));
	}
}

:host {
	::slotted(nav) {
		> ul {
			display: grid;
			grid-auto-flow: row;

			@include breakpoint.large {
				justify-content: start;
				grid-auto-flow: column;
			}

			> li {
				display: grid;
				grid-template-rows: var(--digi--global--spacing--largest-6);

				@include breakpoint.below-large {
					grid-template-columns: 100%;
				}

				@include breakpoint.large {
					grid-template-rows: var(--digi--global--spacing--largest-6) var(--panel-height, auto);
				}

				&:has([aria-current]) {
					--digi--navigation-main-menu--link-font-weight: var(--digi--global--typography--font-weight--semibold);

					@include breakpoint.large {
						--digi-navigation-main-menu--background: linear-gradient(
								90deg,
								var(--digi--color--background--inverted-1) 0%,
								var(--digi--color--background--inverted-1) calc(var(--digi--padding--small) - 2px),
								transparent calc(var(--digi--padding--small) - 2px),
								transparent calc(100% - calc(var(--digi--padding--small) - 2px)),
								var(--digi--color--background--inverted-1) calc(100% - calc(var(--digi--padding--small) - 2px))
							),
							linear-gradient(0deg, var(--digi--color--border--focus) 0%, var(--digi--color--border--focus) var(--digi--global--border-width--larger), transparent var(--digi--global--border-width--larger), transparent 100%);
					}

					@include breakpoint.below-large {
						background: linear-gradient(90deg, var(--digi--color--border--focus) 0%, var(--digi--color--border--focus) var(--digi--global--border-width--larger), var(--digi--color--background--secondary) var(--digi--global--border-width--larger), var(--digi--color--background--secondary) 100%);
					}
				}

				@include breakpoint.below-large {
					border-block-end: border.$list;

					&:first-child {
						border-block-start: border.$list;
					}

					&[data-active='true'] {
						grid-template-rows: var(--digi--global--spacing--largest-6) calc(var(--panel-height) - var(--digi--global--spacing--largest-6));

						> button {
							display: none !important;
						}
					}

					&:not([data-active='true']) {
						display: var(--digi-navigation-main-menu--non-active-list-item-display);
					}
				}

				> button,
				> a,
				> [aria-current='page'] {
					@include link.menu;

					grid-row: 1;
					padding: 0 var(--digi--padding--largest);
					background: var(--digi-navigation-main-menu--background);
					font-weight: var(--digi--navigation-main-menu--link-font-weight);

					&:focus-visible {
						border-radius: var(--digi--border-radius--primary);
					}

					&[aria-expanded='true'] {
						@include link.menu(true);
					}

					@include breakpoint.large {
						padding: 0 var(--digi--padding--small);
					}
				}

				> a,
				> [aria-current='page'] {
					display: flex;
					align-items: center;

					@include breakpoint.large {
						justify-content: center;
					}

					&::after {
						content: none;
					}
				}

				> digi-navigation-main-menu-panel {
					display: none;
					grid-row: 2;
					grid-column: 1/-1;
				}

				> button[aria-expanded='true'] + digi-navigation-main-menu-panel {
					display: block;
					left: 0;
					width: 100%;
					position: absolute;
					top: 0;

					@include breakpoint.large {
						margin-block-start: var(--digi--global--spacing--largest-6);
					}
				}
			}
		}
	}

	digi-layout-container {
		position: relative;
		background: var(--digi--color--background--inverted-1);
		display: block;

		@include breakpoint.below-large {
			--digi--container-gutter--medium: 0;
			--digi--container-gutter--small: 0;

			background: var(--digi--color--background--primary);
		}
	}
}
